Document (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Document class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Document

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature
              org.boehn.kmlframework.kml.Container
                  org.boehn.kmlframework.kml.Document

    public class Document

extends Container

Constructor Summary
`Document()`
`Document(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData, java.util.List<Feature> feauters, java.util.List<Schema> schemas)`

Method Summary
`void` | `addSchema(Schema schema)`
`java.util.List<Schema>` | `getSchemas()`
`void` | `setSchemas(java.util.List<Schema> schemas)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Container
`addFeature, getFeatures, setFeatures, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.Feature
`addStyleSelector, getAbstractView, getAddress, getAtomAuthor, getAtomLink, getDescription, getExtendedData, getName, getPhoneNumber, getRegion, getSnippet, getSnippetMaxLines, getStyleSelectors, getStyleUrl, getTimePrimitive, getXalAddressDeatails, isOpen, isVisible, setAbstractView, setAddress, setAtomAuthor, setAtomLink, setDescription, setExtendedData, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setSnippetMaxLines, setStyleSelectors, setStyleUrl, setTimePrimitive, setVisibility, setXalAddressDeatails`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Document

    public Document()

### Document

    public Document(java.lang.String name,
                    java.lang.Boolean visibility,
                    java.lang.Boolean open,
                    AtomAuthor atomAuthor,
                    AtomLink atomLink,
                    java.lang.String address,
                    java.lang.String xalAddressDetails,
                    java.lang.String phoneNumber,
                    java.lang.String snippet,
                    java.lang.Integer snippetMaxLines,
                    java.lang.String description,
                    AbstractView abstractView,
                    TimePrimitive timePrimitive,
                    java.lang.String styleUrl,
                    java.util.List<StyleSelector> styleSelectors,
                    Region region,
                    ExtendedData extendedData,
                    java.util.List<Feature> feauters,
                    java.util.List<Schema> schemas)

Method Detail

### getSchemas

    public java.util.List<Schema> getSchemas()

### setSchemas

    public void setSchemas(java.util.List<Schema> schemas)

### addSchema

    public void addSchema(Schema schema)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD